import { ProductSchema } from '@byondrnd/showroom-schemas';
import { Visualizer } from '../../../Visualizer';
import { LayerDisplay } from './LayerDisplay';
import { IFavorite, IFavoriteSet, IApplication, IProduct } from '../../../EventSystem/EventTypes';
export declare class ProductsManager {
    visualizer: Visualizer;
    displayedProductsMap: Map<string, LayerDisplay>;
    favoriteProducts: Array<IFavorite>;
    favoriteSets: Array<IFavoriteSet>;
    cart: string[];
    constructor(visualizer: Visualizer);
    displayProduct(productSku: string, application: IApplication): Promise<any>;
    undisplayProduct(product: ProductSchema.IProduct): void;
    addProductToCart(sku: string): void;
    removeProductFromCart(sku: string): void;
    getFavoriteProducts(): Array<IFavorite>;
    addProductToFavorite(productSku: string, application: IApplication): IProduct;
    removeProductFromFavorite(productSku: string, application: IApplication): IProduct;
    getFavoriteSets(): IFavoriteSet[];
    addSetToFavorites(experienceId: string, zoneIndex: string): Promise<IFavoriteSet>;
    removeSetFromFavorites(setId: string): IFavoriteSet;
    getDisplayedProduct(application: IApplication): IProduct;
    getDisplayedFormatedProduct(): Array<IProduct>;
    getApplicationLayerDisplay(application: string): Promise<LayerDisplay>;
    getDisplayedProducts(): Array<ProductSchema.IProduct>;
}
